{% extends 'partials/base.html.twig' %}

{% block content %}
    {{ parent() }}

    <div class="grid-x grid-margin-x grid-padding-y">
        <div class="cell text-center">
            <h1>{{ page.title }}</h1>
            <p class="subheader">{{ page.content }}</p>
        </div>
    </div>

    <hr/>

    {% set collection = page.collection() %}

    <div class="grid-x grid-margin-x grid-padding-y small-up-1 medium-up-2 large-up-4" data-equalizer data-equalize-by-row="true">
        {% for child in collection %}
            {% if (child.header.unpublished is not defined or (child.header.unpublished == false)) -%}
                {% include 'partials/item_card.html.twig' with {'page': child, 'parent': page} %}
            {%- endif %}
        {% endfor %}
    </div>
    
    {% if config.plugins.pagination.enabled and collection.params.pagination -%}
        {% include 'partials/pagination.html.twig' with {'base_url': page.url, 'pagination': collection.params.pagination} %}
    {%- endif %}
{% endblock %}
